.scroll-hint {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  opacity: 0;
  pointer-events: none;
  z-index: 9999;
  text-align: center;
  padding: 33vw 0;
  color: #ffffff;
  font-size: 5vw;

  /* ✨ animación suave */
  transform: translateY(8vw);
  transition:
    opacity .8s ease,
    transform .8s ease;

  text-shadow:
    0 0 0.6vw rgba(0,0,0,1),
    0 0 1.2vw rgba(0,0,0,0.9),
    0 0 1.8vw rgba(0,0,0,0.8);
}

.scroll-hint.visible {
  opacity: 1;
  transform: translateY(0);
}


/* ⭐ El degradado de fondo */
.scroll-hint .scroll-hint-bg {
  position: absolute;
  inset: 0;
  background: linear-gradient(
    to top,
    rgba(0,0,0,.85),
    rgba(0, 0, 0, 0.52),
    rgba(0, 0, 0, 0.0)
  );
  z-index: -1;
}



.scroll-hint .flecha {
  width: 3vw;
  height: 3vw;
  border-right: 0.5vw solid white;
  border-bottom: 0.5vw solid white;
  margin: 6px auto 0;
  transform: rotate(45deg);
  animation: scrollPulse 1.4s infinite;
}

@keyframes scrollPulse {
  0%   { transform: translateY(0) rotate(45deg); }
  50%  { transform: translateY(0.9vw) rotate(45deg); }
  100% { transform: translateY(0) rotate(45deg); }
}


/* HINT */

.sello-hint {
  margin-top: 5vw;
  margin-bottom: -12vw;
  text-align: center;
  font-size: 6vw;
  max-width: 70vw;
  color: var(--line-sobre);
  opacity: 0;
  pointer-events: none;
  transition: opacity .35s ease;
}

.sello-hint.visible {
  opacity: 1;
  animation: hintBreath 1.8s ease-in-out infinite;
}

/* Animación del hint */
@keyframes hintBreath {
  0% {
    opacity: 0.25;
    transform: scale(0.9);
  }
  50% {
    opacity: 1;
    transform: scale(1);
  }
  100% {
    opacity: 0.25;
    transform: scale(0.9);
  }
}
